/**
 * Created by irazer on 20/03/17.
 */

export declare class AuthClient {
  public credentials: any;
  private clientId;
  private clientSecret;
  private redirectUri;
  private BASE_URI;
  private _credentials;
  constructor(clientId: string, clientSecret: string, redirectUri: string);
  public getAuthenticationUrl(scopes: string[]): string;
  public getToken(code: string, callback: (error: any, body: any) => void): void;
  public refreshToken(refreshToken: string, callback: (err: any, res: any) => void): void;
}

export declare class OneDrive {
  private authClient;
  private BASE_URI;
  constructor(authClient: AuthClient);
  public listDrive(callback: (err: any, data: any) => void): void;
  public getDefaultDrive(callback: (err: any, data: any) => void): void;
  public getDrive(id: string, callback: (err: any, data: any) => void): void;
  public getChildrenById(id: string, callback: (err: any, data: any) => void): void;
  public getChildren(path: string, callback: (err: any, data: any) => void): void;
  private _parseBody(err, res, body, callback);
}
