/**
 * Created by irazer on 19/03/17.
 */

let AuthClient = require('../../dist/node-onedrive').AuthClient;
let OneDrive = require('../../dist/node-onedrive').OneDrive;
let authInfo = require('../sample-client.json');
let querystring = require('querystring');
let readline = require('readline');

let client = new AuthClient(authInfo.clientId, authInfo.clientSecret, 'http://localhost/callback');
let scope = [
  'offline_access',
  'files.read'
];
let url = client.getAuthenticationUrl(scope);

console.log(url);

let rl = readline.createInterface({
  input: process.stdin,
  output: process.stdout
});

rl.question('Paste the url above and type it in your browser, after the auth paste the url from the browser here:\n', (answer) => {
  let data = querystring.parse(answer);

  client.getToken(data['http://localhost/callback?code'], (err, token) => {
    client.credentials = JSON.parse(token);

    let drive = new OneDrive(client);
    drive.getChildren('root', (err, result) => {
      console.log(result);
    })
  });

  rl.close();
});
